## penguin ai-0.4.0

=== penguin/requirements.txt ===
litellm
colorama
pygments
python-dotenv
Pillow
flake8
pytest
rich
tiktoken
torch
sentence-transformers
pyyaml
sphinx
sphinx-rtd-theme
myst-parser
IPython
bs4
plotext
matplotlib
tqdm
openai>=1.0.0  # Required for OpenRouter support

chromadb
ollama
