=== backup_ai-ebash/debian/changelog ===
ai-ebash (0.2.8-1) unstable; urgency=medium

  * Initial release

 -- Andrey Bochkarev <andrey.bch.1976@gmail.com>  Wed, 11 Sep 2025 12:00:00 +0300
