=== backup_ai-ebash/debian/control ===
Source: ai-ebash
Section: python
Priority: optional
Maintainer: Andrey Bochkarev <andrey.bch.1976@gmail.com>
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-setuptools,
               python3-pip,
               dh-python,
               dh-virtualenv,
               python3-venv
Standards-Version: 4.6.2
Homepage: https://github.com/Vivatist/ai-bash

Package: ai-ebash
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: AI-powered Bash shell assistant
 AI-eBash is an intelligent command-line assistant that uses AI to help
 with shell commands and system administration tasks. It provides
 contextual suggestions, command explanations, and automated script
 generation using OpenAI's GPT models.
