=== requirements.txt ===
--- 
+++ 
@@ -12,3 +12,4 @@
 PyYAML==6.0.2
 inquirer==3.4.0
 prompt-toolkit==3.0.52
+textual>=0.47.0
