## penguin tamer-0.9.0

=== requirements.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
 inquirer==3.4.0
 prompt-toolkit==3.0.52
 textual>=0.47.0
+sseclient-py==1.8.0
